Take the 2-minute tour ×
Ask Ubuntu is a question and answer site for Ubuntu users and developers. It's 100% free, no registration required.

i have installed appgrid fromm this ppa ---- ppa:appgrid/stable and now when i purge it, its giving me errors

$ sudo ppa-purge ppa:appgrid/stable
[sudo] password for srn: 
Updating packages lists
W: GPG error: http://ftp.cn.debian.org squeeze Release: The following signatures couldn't be verified because the public key is not available: NO_PUBKEY AED4B06F473041FA
W: Failed to fetch http://ppa.launchpad.net/paul-climbing/ppa/ubuntu/dists/raring/main/binary-amd64/Packages  404  Not Found

W: Failed to fetch http://ppa.launchpad.net/paul-climbing/ppa/ubuntu/dists/raring/main/binary-i386/Packages  404  Not Found

E: Some index files failed to download. They have been ignored, or old ones used instead.
Warning:  apt-get update failed for some reason
PPA to be removed: appgrid stable
Package revert list generated:
 install/raring

Disabling appgrid PPA from /etc/apt/sources.list.d/appgrid-stable-raring.list
Updating packages lists
W: GPG error: http://ftp.cn.debian.org squeeze Release: The following signatures couldn't be verified because the public key is not available: NO_PUBKEY AED4B06F473041FA
W: Failed to fetch http://ppa.launchpad.net/paul-climbing/ppa/ubuntu/dists/raring/main/binary-amd64/Packages  404  Not Found

W: Failed to fetch http://ppa.launchpad.net/paul-climbing/ppa/ubuntu/dists/raring/main/binary-i386/Packages  404  Not Found

E: Some index files failed to download. They have been ignored, or old ones used instead.
Warning:  apt-get update failed for some reason
Reading package lists... Done
Building dependency tree       
Reading state information... Done
E: Unable to locate package install
Couldn't find package "install", and more than 40
packages contain "install" in their name.
Couldn't find package "install", and more than 40
packages contain "install" in their name.
The following partially installed packages will be configured:
  appgrid 
No packages will be installed, upgraded, or removed.
0 packages upgraded, 0 newly installed, 0 to remove and 5 not upgraded.
Need to get 0 B of archives. After unpacking 0 B will be used.
Setting up appgrid (0.1.35~raring) ...
Traceback (most recent call last):
  File "/usr/share/appgrid/appdata.py", line 213, in <module>
    rebuild_db()
  File "/usr/share/appgrid/appdata.py", line 118, in rebuild_db
    from appdata.apps.appinstallapp import (AppInstallApp,
  File "/usr/share/appgrid/appdata/apps/appinstallapp.py", line 157, in <module>
    initialize()
  File "/usr/share/appgrid/appdata/apps/appinstallapp.py", line 132, in initialize
    _contents = f.read()
  File "/usr/lib/python3.3/codecs.py", line 300, in decode
    (result, consumed) = self._buffer_decode(data, self.errors, final)
UnicodeDecodeError: 'utf-8' codec can't decode byte 0xc4 in position 216: invalid continuation byte
dpkg: error processing appgrid (--configure):
 subprocess installed post-installation script returned error exit status 1
No apport report written because MaxReports is reached already
                                                              Errors were encountered while processing:
 appgrid
E: Sub-process /usr/bin/dpkg returned an error code (1)
A package failed to install.  Trying to recover:
Setting up appgrid (0.1.35~raring) ...
Traceback (most recent call last):
  File "/usr/share/appgrid/appdata.py", line 213, in <module>
    rebuild_db()
  File "/usr/share/appgrid/appdata.py", line 118, in rebuild_db
    from appdata.apps.appinstallapp import (AppInstallApp,
  File "/usr/share/appgrid/appdata/apps/appinstallapp.py", line 157, in <module>
    initialize()
  File "/usr/share/appgrid/appdata/apps/appinstallapp.py", line 132, in initialize
    _contents = f.read()
  File "/usr/lib/python3.3/codecs.py", line 300, in decode
    (result, consumed) = self._buffer_decode(data, self.errors, final)
UnicodeDecodeError: 'utf-8' codec can't decode byte 0xc4 in position 216: invalid continuation byte
dpkg: error processing appgrid (--configure):
 subprocess installed post-installation script returned error exit status 1
Errors were encountered while processing:
 appgrid

Warning:  Something went wrong, packages may not have been reverted
share|improve this question
add comment

Know someone who can answer? Share a link to this question via email, Google+, Twitter, or Facebook.

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Browse other questions tagged or ask your own question.